/* eslint-env node */
require('@rushstack/eslint-patch/modern-module-resolution');

module.exports = {
  root: true,
  'extends': [
    'plugin:vue/vue3-essential',
    'eslint:recommended',
    '@vue/eslint-config-typescript',
  ],
  parserOptions: {
    ecmaVersion: 'latest',
  },
  rules: {
    semi: 0,
    'vue/multi-word-component-names': 0,
    indent: [
      2, 2, {
        SwitchCase: 1,
      },
    ],
    'vue/html-indent': 2,
    '@typescript-eslint/comma-dangle': [2, 'always-multiline'],
  },
};
